---
title: Unarchive
slug: unarchive
description: Learn how to unarchive a contact in your application with this comprehensive document. Our step-by-step guide provides a code example using the curl command to send a GET request to the URL specified with the contact ID. Discover how to retrieve valuable 
docTags: 
createdAt: 2023-09-28T15:22:33.059Z
---

Unarchiving a contact will make it visible in the application and available again for processing.

:::ApiMethodV2
```json
{
  "name": "Get Cakes",
  "method": "GET",
  "url": "https://data.successeve.com/v2/contacts/:id/unarchive",
  "description": "Get a cake by its ID",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "hEMp7X_AIV7gvjutfKUoH",
        "language": "curl",
        "code": "curl -X GET https://data.successeve.com/v2/contacts/{id}/unarchive \\\n-H 'Accept: application/json' \\\n-H 'Authorization:Bearer <Your access token>'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "hEMp7X_AIV7gvjutfKUoH"
  },
  "results": {
    "languages": [
      {
        "id": "Adh7TedAmeLT8KGh7VXjf",
        "language": "200",
        "customLabel": "",
        "code": "{\n  \"object\": \"contact\",\n  \"id\": \"5d3bae5bcb4a287b44583a55\",\n  \"unique_id\": \"5d3bae4cf92ea13a3dfb542e\",\n  \"created_at\": 1564192347,\n  \"archived\": true,\n  \"data\": {\n      ...\n    },\n  \"salesmachine\": {\n      ...\n   },\n  \"stage\": {\n    \"name\": \"Trial\",\n    \"id\": \"5b2bc014ce8d8355c6d48b70\"\n  },\n  \"accounts\": {\n    \"object\": \"account.list\",\n    \"data\": [\n      {\n        \"id\": \"5d3bae278cae234bef95405a\"\n      }\n    ]\n  }\n}\ne's name\",\n    }"
      },
      {
        "id": "vnnBpsZev-bzWqzxNbMxE",
        "language": "404",
        "customLabel": "",
        "code": "{\n    \"error\": \"404 Object not found\"\n}"
      }
    ],
    "selectedLanguageId": "Adh7TedAmeLT8KGh7VXjf"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "ID of the contact to unarchive"
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::

